Loading...
Searching...
No Matches
BALL::GenericParameter Class Reference

`#include <BALL/DOCKING/GENETICDOCK/parameter.h>`

Inheritance diagram for BALL::GenericParameter:

## Public Member Functions

| GenericParameter ()
| GenericParameter (const GenericParameter &)
virtual | ~GenericParameter ()
const GenericParameter & | operator= (const GenericParameter &)
virtual String | getName ()

## Protected Attributes

String | name_

## Detailed Description

Definition at line 14 of file parameter.h.

## Constructor & Destructor Documentation

## GenericParameter() [1/2]

BALL::GenericParameter::GenericParameter | ( |  | ) |

standard constructor

## GenericParameter() [2/2]

BALL::GenericParameter::GenericParameter | ( | const GenericParameter & |  | ) |

copy constructor

## ~GenericParameter()

virtual BALL::GenericParameter::~GenericParameter | ( |  | ) |

virtual

destructor

## Member Function Documentation

## getName()

virtual String BALL::GenericParameter::getName | ( |  | ) |

virtual

get parameter name

## operator=()

const GenericParameter & BALL::GenericParameter::operator= | ( | const GenericParameter & |  | ) |

assignment operator

## Member Data Documentation

## name_

String BALL::GenericParameter::name_

protected

parameter name

Definition at line 42 of file parameter.h.